# Beginner Guide to Obsidian
---
Honestly, if this is your first ecnounter with Obsidian, than [YouTube](https://www.youtube.com) is probably your best bet for finding helpful instructions and introductions. That being said, I'll try to provide some quick (and hopefully helpful) tips here.

>[!tldr]- Obsidian Documentation
> For a much more in-depth read, you should of course read the [Obsidian Documentation](https://help.obsidian.md/Obsidian/Index). It is a bit of a technical document, so it is suggested that you refer to it as needed, rather than just read it like a book before you use Obsidian. 


## How to use Obsidian
Simply put, Obsidian is a markdown text editer that works in a folder on your local machine. It can also work in a folder on a cloud drive, but there is no effect on how to use it either way.

> Obsidian is a modern application made with modern sensabilities. For the most part, if you think something should work a certain way, chances are you are correcct.

Since Obsidian is a simple (but incredibly powerful) text editer, it is fairly intuitive to use. Create a note in the folder you want it to live in, and start typing. A note can always be moved, renamed, or deleted, either from within Obsidian or simply in your file explorer. 

To get fancy with it, you'll need to get comfortable with markdown. Markdown is a standard for text editors. Practically what that means is that if you use a `#` to indicate a Level 1 Heading in Obsidian, or `**` to make text bold, any other Markdown Editor will render it the same way.

### Basics of markdown formatting
Here is some baisic markdown formatting.

`**Bold Text!**` -> **Bold Text!**
`*Italicized Text*` -> *Italicized Text*
`: ==Highlighted Text==` -> ==Highlighted Text==
`~~Strikethrough~~` -> ~~Strikethrough~~
`#`s indicate a heading, with levels 1-6 being available. Level 1 being the largest, and 6 being the smallest.
`---` will produce a horizontal divider.
`>` will produce what are called blockquotes. You can simply put one at the beginning of each line you want to be included in the quote.


### Obsidian specific tricks

#### Bi-directional Linking
Well, this got complicated quickly. 

This is the real power of Obsidian. The concept is actually pretty easy to understand, and to use. Simply put two straight brackets around a word of phrase, and it will link to the note/file of the same name. You can also link back. Boom. Bi-directional linking. Think of it as creating a wikipedia out of your personal notes and lessons.

Typing `[[Formatting]]` will create a link to a note called Formatting. Try deleting the ` `` ` marks around the link and see what happens.

#### Hotkeys
I recommend you become very familiar with the [[hotkeys]] in Obsidian. Feel free to edit them to your liking, and make new ones for tasks you find yourself doing often.

*Note:* The page linked [[hotkeys|here]] is dynamically generated using `dataview`, so any changes you make to your hotkeys will be reflected on that page *automatically.* Even if you nuke the provided file structure and these introductory note, I recommend keeping this page as a handy reference.


#### Callouts
Obsidian has what are called Callouts. These are visually distinct quote blocks that help your information stand out. They are written by using this syntax:
`>[!note]+ Note Title`
`>Note Text goes here. It **CAN** be edited using *markdown.* Now that’s ==fancy.==`

>[!note]+ Note Title
>Note Text goes here. It **CAN** be edited using *markdown.* Now that’s ==fancy.==

#### The Command palette
This is another aspect of Obsidian that you should learn to leverage to your advantage. The command palette puts so many of Obsidian's tasks, as well as many plug-in's tasks, right at your fingertips. Simply hit the hotkey for the Command palette, start typing what you want to do, and select it from the list. Boom. It's really that easy. 

> By default, the command palette hot key is `⌘ + P` (Command + P) on Mac, and `⌃ + P`(Control + P) on Windows.

#### The Graph View
The graph view is one of the main selling points of Obsidian. It is an effective way to visualize the connections between your notes. 

By default, this Vault has all of the notes from within the `4 System` folder excluded from the graph view. This keeps the 1,200+ files of the Bible in Markdown from overwhelming the graph view. 

You can color code different notes, folders, and conditions to further help you visualize connections. For example, you could color all notes in `1 Lessons` green, and notes that are biblical themes purple to see how often you are connecting the two.

As with all aspects of Obsidian, you can feel free to get crazy and you are able to customize it to your heart’s content (and beyond), but it is only recommended to do so to the point that it adds value to your workflow.

#### Themes and Plug-ins
Speaking of customizations, if you want to dive further into Obsidian check out the [[Themes and Plug-ins]] page.

