
# Tags
Where the folders in the Paraclete System operate as a visible organizational structure, the tags operate as an invisible organization.

We’ll look at the two ways we utilize the tags.

*Note:* While single tags can be used to label anything that could also appear in the metadata, shared notes/templates should *almost always* prefer to call the metadata value in all `dataview` queries. One notable exception would be when calling all notes with a particular Scripture Reference.


## Single Tags
Single tags can be used anywhere in a note, and can be used to tag anything that could also appear in the metadata. The list of standardized single tags is identical to the list of [[Core Concepts|Core Concept]] notes. 

>[!tip]- Repeated Tag Use
> If you find yourself using a single tag more than once, it is recommended to create a note for that tag. This way you can use `[[Links]]` rather than just tags. 
> This serves two purposes:
> 	1. This allows you to visualize connections better using the graph view
> 	2. This allows your tags to function as “Hub Notes”. Think of them as a smaller version of a MAP.

## Nested Tags
Nested tags is the real power of tags in Obsidian. This is where we can leverage a standardized method to really get the fullest potential out of our note connecting and Teaching prep.


### Chapter and Verse Reference
Whenever a Note, Teaching, Reflection, Book, or anything references a scripture, it is best to tag that note with the corresponding tag. We use the nested tag structure of `Book/Chapter/Verse` to tag individual Books, Chapters, and verses.

Romans 12:2 -> #Romans/12/2

### Families
`Family Names`
if you are using Paraclete to database people, use this tag structure to keep track of families. Simply use this structure `lastName/firstName`. For example Ryan and Stephanie Green would each be tagged as #Green/Ryan and #Green/Stephanie respectively.


### Other Use cases

There are many other use cases for leveraging nested tags. Here are a few theoretical cases and examples.
- You teach at multiple locations.
	- #MensGroup/Tuesday
	- #MensGroup/Friday
- You teach multiple classes (at either one location or multiple).
	- #ChristianSchool/History/Unit1
	- #ChristianSchool/Bible/Sources
- Your church has multiple locations.
	- #ChristCommunity/Downtown
	- #ChristCommunity/Eastside
	- #ChristCommunity/OtherCity 
- 