
# The Workflow
Ideally, The Paraclete System should be a *help* to your study and lesson preparation, not a hinderance. After the initial “learning curve” with the system, your study a preparation time should be both quicker, and richer.

## The Story
There are multiple ways for me to think about, and express my dream or vision for this project. I’ll share a few of them in hopes that one of them connects with you.
I’ll explain how I envision this setup helping different people in different roles.

### The Teacher/Studier
Let’s say we have a mature believer, who we’ll call `Jon`. Jon takes his faith and scripture study very seriously. Jon also has a gift for teaching and explaining what he’s learned in Scripture and even his own life. Jon’s pastor has asked him to prepare a lesson for an upcoming leadership training on the topic of Humility.

Jon simply creates an upcoming lesson in his Paraclete System Vault, he begins reading through his past notes and reflections on Humility (by looking at the backlinks, or local graph of his [[Humility]] note), stumbling through the various notes tagged as #humility, and, of course, reading through the passages of scripture tied to each of these. Eventually a structure and application becomes clear to Jon and he begins to write out his lesson. Because Jon has done all of this in Obsidian, he’s even able to export a PDF of his lesson outline ahead of time for his leadership to proof before teaching.

Could Jon have done all of this without the Paraclete System? 
Yes. Of course. It has happened a million times throughout history without it. But because everything was linked, sorted, and organized Jon could do this work with fewer interruptions and stay focused while utilizing his previous notes and reflections all in the same workflow.

### The Small Group Leader
Jon’s pastors were very impressed with his lesson on humility. So much so, that they asked Jon to lead their Church’s first Small Group (Home Group, Study Group, Life Group, Community Group, pick your name and flavor)! This is exciting, growth in a depth of understanding and relationship is exciting! 

Now, Jon is preparing to take his Small Group through a 26 week study of the Gospel of Luke. First, Jon starts by reading Luke through multiple times (duh!), and begins creating notes on his insights, reflections, and connections throughout the book  of Luke. He tags all of these notes using a consistent scheme #Luke/2/14, #Prophecy , #Prophecy/Fulfilled, #Culture/Greek , #Culture/Jewish, etc.

Now that Jon has read himself full, he is ready to write himself empty (Thank you David Guzik for that thought!). Jon creates a folder for his first couple of upcoming lessons. He creates a series name, `Looking at Luke` for example, and gets going on his first lesson.

Because Jon is working within this consistent framework, he can very easily reference previous lessons, see cross references through links, provide a fuller picture of the characters encountered (by tracing them through their various biblical appearances), and overall save time in preparation using outlines he knows work well for his setting.

Now Jon has an added level of complexity since his last role. He now has members of his Small Group to care for. This is where the expansion using the plug-in `Database Folder` comes in. Jon Creates a folder for his Members called `People`, he chooses a default template for each person, and begins filling in the information for each member. As he learns of their needs, struggles, and victories, Jon notes them on their page. Jon start to meet with each member individually to check in on them, so he creates notes for each meeting to track this information.

Here’s where an optional workflow preference comes into play. Ideally, Jon would be fully engaged the entire time he is meeting with someone. No laptop, no audio recorder. Maybe Jon brings a pen and paper journal to quickly jot down some importnat notes, quotes, deadlines, or anything that needs to be remembered verbatim. **Later**, Jon creates or updates his note on the meeting with the important information. No need for a bullet point outline of the exact “meeting minutes”, simply the highlights for Jon to reference later for prayer for this person, or simply insight into what topics might need to be emphasized in later lessons.

Again, the Paraclete System should aim to be a *helper*, not an additional burden.

### The Pastor
It’s been a few years, and Jon has served his local Church faithfully (we knew he would). His leadership has asked him to plant a new church in a neighboring area (woohoo!), and Jon agreed.

Jon is still using his Obsidian setup with the Paraclete System to help him operate as an attentive and enriching shepherd. His usecase is largely the same as above, but simply scaled up to cover more varied situations.

For example: 
- Jon has added `Event` as a `Teaching` type. 
- He has a database of Small Groups in addition to just the members.
- He now tracks volunteer areas and positions.
- He uses Obsidian for meeting notes using a `calendar` plug-in.
- Because Obsidian operates *on top of* his local files, his upcoming lesson folder becomes a sharable resource he is able to distribute ahead of time with others who might need it to prepare. For example, the folder now includes worship lyrics and chord charts, slides, additional notes for the week, any other resources that might need to be shared.
- Because everything is centralized and consistent, Jon is able to publish a small book about the Gospel of Luke by consolidating and rephrasing much of his past teachings.


## The Work
Alright, let’s get our heads out of the clouds, and take a much more practical look at the workflow. At the very minimum, the Paraclete System is a set of agreed upon variable names and a minimal folder structure. 
*How is this workflow helpful at all?*
`Dataview`. The answer is `Dataview`.

### Dataview
The real workflow advantage comes into play when using the `Dataview` plug-in in addition to everything else. Linking notes, consistent tagging, and even subfolders with upcoming lessons can all be done in tons of other apps and using your own set of standards. **But**, having these standards and metadata gives us a huge advantage with querying our notes, creating a dynamic look at our work.

Because the standards only apply to a simple folder structure and metadata, our `dataview` queries will always use the same variables and therefore work in anyone’s Paraclete Vault. 

> The best way to learn and use Obsidian is to just start using it. Start taking notes, link notes when you see fit, and only add complications like plug-ins and templates once you identify friction points. 

Starting with the Paraclete System in your vault should work the same way, only you have a known destination you are working towards. As long as notes are tagged correctly, and use the right template, everything below the front matter should be the same as starting in a blank playground. There should be no pressure to define your own variables, have the ideal page outline in your template, or keep track of which tags you used. Simply consult the [[Naming Standards|Naming Conventions]] page, or, better yet, keep it super simple until your comfort level with the workflow increases. It is much easier to add metadata you don’t quite understand or fully realize early on, than it is to go back and add it down the road.

## The Community
The body working together is a beautiful thing, and the hope of this project is no different. 

### Sharing
The real hope of this project is to create a way for notes, outlines, and other resources to be freely shared. Since the Paraclete standards only touch metadata and a simple folder structure, the possibilities for sharing notes is endless.

If you have endless in-depth notes on a niche topic, they can be shared (assuming they don’t use any of the Core Concept titles).
Lesson outlines can be shared as templates.
Various groups of information can be added as “modules”. 

This is possible because everything “below the front matter” is fair game. Whether or not you use emojis, callouts, headings for everything, or bullet points everywhere doesn’t matter. If you share with the community, chances are someone else thinks or works the way you do.
